#include <wtypes.h>
#include <stdio.h>
#include "fmod.h"
#include "fmod_errors.h"
void errcheck(FMOD_RESULT code) {
 if (code==FMOD_OK) {
  //printf("%s\r\n", "OK");
  return;
  }
 printf("%s\r\n", FMOD_ErrorString(code));
 exit(0);
 }
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow) {
 FMOD_SYSTEM *system=0;
 errcheck(FMOD_System_Create(&system, FMOD_VERSION));
 errcheck(FMOD_System_Init(system, 100, FMOD_INIT_NORMAL, 0));
 FMOD_SOUND *s=0;
 errcheck(FMOD_System_CreateSound(system, "test.wav", FMOD_CREATESAMPLE|FMOD_3D|FMOD_LOOP_NORMAL|FMOD_3D_WORLDRELATIVE, 0, &s));
 FMOD_CHANNEL *c=0;
 errcheck(FMOD_System_PlaySound(system, s, 0, 0, &c));
 errcheck(FMOD_Channel_Set3DSpread(c, 90));
 FMOD_VECTOR pos={0, 0, -1};
 while(1) {
  errcheck(FMOD_System_Set3DListenerAttributes(system, 0, &pos, 0, 0, 0));
  FMOD_System_Update(system);
  Sleep(1000);
  pos.z=(pos.z<1?pos.z+1:-1);
  printf("%f\r\n", pos.z);
  }
 }